CreateAssetIssue

Issues a TRC-10 token. An account can only issue a TRC-10 token once.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns

Transaction object - JSON object: Unsigned transaction, please refer to the Transaction chapter for the fields contained in it. Since the transaction type is AssetIssueContract, the fields contained in raw_data.contract[0].parameter.value in the transaction are as follows:

FieldTypeDescription
owner_addressstringIssuer address.
namestringTRC-10 token name.
abbrstringTRC-10 token symbol.
total_supplyint64Total supply.
frozen_supplyFrozenSupply[]List of frozen token supply objects, specified by the issuer at token issuance.
trx_numint32Define the price by the ratio of trx_num/num. (Unit of trx_num is sun)
precisionint32Token precision, i.e. number of decimal places the token supports.
numint32Define the price by the ratio of trx_num/num. (Unit of trx_num is sun)
start_timeint64ICO start time. (Unit: millisecond)
end_timeint64ICO end time. (Unit: millisecond)
descriptionstringTRC-10 token description.
urlstringURL of the token's official website. (Default: Hex)
free_asset_net_limitint64Account's free Bandwidth limit for TRC-10 token transfers.
public_free_asset_net_limitint64Total free Bandwidth limit for the TRC-10 token.
public_free_asset_net_usageint64Amount of free Bandwidth used for the TRC-10 token.
public_latest_free_net_timeint64Timestamp of the last free Bandwidth consumption for the TRC-10 token. (Unit: millisecond)
Body Params
string

Transaction initiator address (Default: Hex). Example: TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g

string

Token name (Default: Hex). Example: 0x6173736574497373756531353330383934333132313538

string

Token's abbreviation or symbol. Example: 0x6162627231353330383934333132313538

int64

Total supply of the TRC-10 token.

int64

Defines the price ratio as trx_num / num. (Unit of 'trx_num': sun)

int64

Defines the price ratio as trx_num / num. (Unit of 'trx_num': sun)

int64

ICO start time. (Unit: millisecond)

int64

ICO End time. (Unit: millisecond)

string

Description of the TRC-10 token (Default: Hex). Example: 0x4578616d706c654465736372697074696f6e

string

URL of the official website (Default: Hex). Example: 0x7777772e6578616d706c652e636f6d

int64

Free Bandwidth limit for TRC-10 token transfers.

int64

Total public free Bandwidth limit for a TRC-10 token.

json

List of frozen supply objects for the TRC-10 token. Example: {"frozen_amount":1,"frozen_days":2}

int32

Token precision (number of decimal places).

boolean

(Optional) Set to true to format addresses in Base58; set to false for hex format. (Default: false)

int32

(Optional) Specifies the permission ID used for multi-signature accounts.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!